<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en" xml:lang="en">

<head>
  <title>KIO.UDSEntry</title>
  <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
  <meta http-equiv="Content-Style-Type" content="text/css" />
  <link rel="stylesheet" type="text/css" href="../common/doxygen.css" />
  <link rel="stylesheet" media="screen" type="text/css" title="KDE Colors" href="../common/kde.css" />
</head>
<body>
<div id="container">
<div id="header">
  <div id="header_top">
    <div>
      <div>
        <img alt ="" src="../common/top-kde.jpg"/>
        KDE 4.2 PyKDE API Reference
      </div>
    </div>
  </div>
  <div id="header_bottom">
    <div id="location">
      <ul>
        <li>KDE's Python API</li>
      </ul>
    </div>

    <div id="menu">
      <ul>
        <li><a href="../modules.html">Overview</a></li>
<li><a href="http://techbase.kde.org/Development/Languages/Python">PyKDE Home</a></li>
<li><a href="http://kde.org/family/">Sitemap</a></li>
<li><a href="http://kde.org/contact/">Contact Us</a></li>
</ul>
    </div>
  </div>
</div>

<div id="body_wrapper">
<div id="body">
<div id="right">
<div class="content">
<div id="main">
<div class="clearer">&nbsp;</div>

<h1>UDSEntry Class Reference</h1>
<code>from PyKDE4.kio import *</code>
<p>


Namespace: KIO<br />
<h2>Detailed Description</h2>

<p>Universal Directory Service
</p>
<p>
UDS entry is the data structure representing all the fields about a given URL
(file or directory).
</p>
<p>
The KIO.listDir() and KIO:stat() operations use this data structure.
</p>
<p>
KIO defines a number of standard fields, see the UDS_XXX enums (see StandardFieldTypes).
at the moment UDSEntry only provides fields with numeric indexes,
but there might be named fields with string indexes in the future.
</p>
<p>
For instance, to retrieve the name of the entry, use:
<pre class="fragment">
 QString displayName = entry.stringValue( KIO.UDSEntry.UDS_NAME );
</pre>
</p>
<p>
To know the modification time of the file/url:
<pre class="fragment">
  time_t mtime = entry.numberValue( KIO.UDSEntry.UDS_MODIFICATION_TIME, -1 );
  if ( mtime != -1 )
      ...
</pre>
</p>
<table border="0" cellpadding="0" cellspacing="0"><tr><td colspan="2"><br><h2>Enumerations</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="#obj194569452">StandardFieldTypes</a>&nbsp;</td><td class="memItemRight" valign="bottom">{&nbsp;UDS_STRING, UDS_NUMBER, UDS_TIME, UDS_SIZE, UDS_SIZE_LARGE, UDS_USER, UDS_ICON_NAME, UDS_GROUP, UDS_NAME, UDS_LOCAL_PATH, UDS_HIDDEN, UDS_ACCESS, UDS_MODIFICATION_TIME, UDS_ACCESS_TIME, UDS_CREATION_TIME, UDS_FILE_TYPE, UDS_LINK_DEST, UDS_URL, UDS_MIME_TYPE, UDS_GUESSED_MIME_TYPE, UDS_XML_PROPERTIES, UDS_EXTENDED_ACL, UDS_ACL_STRING, UDS_DEFAULT_ACL_STRING, UDS_DISPLAY_NAME, UDS_TARGET_URL, UDS_EXTRA, UDS_EXTRA_END&nbsp;}</td></tr>
<tr><td colspan="2"><br><h2>Methods</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj194431820">__init__</a> (self)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj194556428">__init__</a> (self, <a href="../kio/KIO.UDSEntry.html">KIO.UDSEntry</a> other)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj194569900">clear</a> (self)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj194568620">contains</a> (self, long field)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj194570092">count</a> (self)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj194570828">insert</a> (self, long field, <a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a> value)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj194570284">insert</a> (self, long field, long long l)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj194559756">isDir</a> (self)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj194558700">isLink</a> (self)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">[long]&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj194429228">listFields</a> (self)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">long long&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj194432780">numberValue</a> (self, long field, long long defaultValue=0)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj193586764">remove</a> (self, long field)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj194557580">stringValue</a> (self, long field)</td></tr>
</table>
<hr><h2>Method Documentation</h2><a class="anchor" name="obj194431820"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">__init__</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname"><em>self</em>&nbsp;)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"></div></div><a class="anchor" name="obj194556428"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">__init__</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="../kio/KIO.UDSEntry.html">KIO.UDSEntry</a>&nbsp;</td>
<td class="paramname"><em>other</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"></div></div><a class="anchor" name="obj194569900"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"> clear</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname"><em>self</em>&nbsp;)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"><p>remove all fields
</p></div></div><a class="anchor" name="obj194568620"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">bool contains</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype">long&nbsp;</td>
<td class="paramname"><em>field</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>check existence of a field
</p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>field</em>&nbsp;</td><td>
</td></tr>
</table></dl>
<p>
</p></div></div><a class="anchor" name="obj194570092"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">int count</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname"><em>self</em>&nbsp;)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"><p>count fields
<dl class="return" compact><dt><b>Returns:</b></dt><dd> the number of fields
</dd></dl>
</p></div></div><a class="anchor" name="obj194570828"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"> insert</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype">long&nbsp;</td>
<td class="paramname"><em>field</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a>&nbsp;</td>
<td class="paramname"><em>value</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>insert field with numeric value
</p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>field</em>&nbsp;</td><td> numeric field id

<tr><td></td><td valign="top"><em>value</em>&nbsp;</td><td>
</td></tr>
</table></dl>
<p>
</p></div></div><a class="anchor" name="obj194570284"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"> insert</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype">long&nbsp;</td>
<td class="paramname"><em>field</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype">long long&nbsp;</td>
<td class="paramname"><em>l</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>insert field with string value
</p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>field</em>&nbsp;</td><td> numeric tield id

<tr><td></td><td valign="top"><em>l</em>&nbsp;</td><td> value to set
</td></tr>
</table></dl>
<p>
</p></div></div><a class="anchor" name="obj194559756"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">bool isDir</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname"><em>self</em>&nbsp;)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"><p><dl class="return" compact><dt><b>Returns:</b></dt><dd> true if this entry is a directory (or a link to a directory)
</dd></dl>
</p></div></div><a class="anchor" name="obj194558700"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">bool isLink</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname"><em>self</em>&nbsp;)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"><p><dl class="return" compact><dt><b>Returns:</b></dt><dd> true if this entry is a link
</dd></dl>
</p></div></div><a class="anchor" name="obj194429228"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">[long] listFields</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname"><em>self</em>&nbsp;)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"><p>lists all fields
</p></div></div><a class="anchor" name="obj194432780"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">long long numberValue</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype">long&nbsp;</td>
<td class="paramname"><em>field</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype">long long&nbsp;</td>
<td class="paramname"><em>defaultValue=0</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p><dl class="return" compact><dt><b>Returns:</b></dt><dd> value of a numeric field
</dd></dl>
</p></div></div><a class="anchor" name="obj193586764"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">bool remove</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype">long&nbsp;</td>
<td class="paramname"><em>field</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>remove a field with a certain numeric id
</p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>field</em>&nbsp;</td><td> numeric type id
</td></tr>
</table></dl>
<p>
</p></div></div><a class="anchor" name="obj194557580"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a> stringValue</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype">long&nbsp;</td>
<td class="paramname"><em>field</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p><dl class="return" compact><dt><b>Returns:</b></dt><dd> value of a textual field
</dd></dl>
</p></div></div><hr><h2>Enumeration Documentation</h2><a class="anchor" name="obj194569452"></a>
<div class="memitem">
<div class="memproto">
<table class="memname">
<tr><td class="memname">StandardFieldTypes</td>
</tr>
</table>
</div>
<div class="memdoc"><p>Indicates that the field is a QString
</p><dl compact><dt><b>Enumerator: </b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0"><tr><td valign="top"><em>UDS_STRING</em>&nbsp;=&nbsp;0x01000000</td><td><tr><td valign="top"><em>UDS_NUMBER</em>&nbsp;=&nbsp;0x02000000</td><td><tr><td valign="top"><em>UDS_TIME</em>&nbsp;=&nbsp;0x04000000|UDS_NUMBER</td><td><tr><td valign="top"><em>UDS_SIZE</em>&nbsp;=&nbsp;1|UDS_NUMBER</td><td><tr><td valign="top"><em>UDS_SIZE_LARGE</em>&nbsp;=&nbsp;2|UDS_NUMBER</td><td><tr><td valign="top"><em>UDS_USER</em>&nbsp;=&nbsp;3|UDS_STRING</td><td><tr><td valign="top"><em>UDS_ICON_NAME</em>&nbsp;=&nbsp;4|UDS_STRING</td><td><tr><td valign="top"><em>UDS_GROUP</em>&nbsp;=&nbsp;5|UDS_STRING</td><td><tr><td valign="top"><em>UDS_NAME</em>&nbsp;=&nbsp;6|UDS_STRING</td><td><tr><td valign="top"><em>UDS_LOCAL_PATH</em>&nbsp;=&nbsp;7|UDS_STRING</td><td><tr><td valign="top"><em>UDS_HIDDEN</em>&nbsp;=&nbsp;8|UDS_NUMBER</td><td><tr><td valign="top"><em>UDS_ACCESS</em>&nbsp;=&nbsp;9|UDS_NUMBER</td><td><tr><td valign="top"><em>UDS_MODIFICATION_TIME</em>&nbsp;=&nbsp;10|UDS_TIME</td><td><tr><td valign="top"><em>UDS_ACCESS_TIME</em>&nbsp;=&nbsp;11|UDS_TIME</td><td><tr><td valign="top"><em>UDS_CREATION_TIME</em>&nbsp;=&nbsp;12|UDS_TIME</td><td><tr><td valign="top"><em>UDS_FILE_TYPE</em>&nbsp;=&nbsp;13|UDS_NUMBER</td><td><tr><td valign="top"><em>UDS_LINK_DEST</em>&nbsp;=&nbsp;14|UDS_STRING</td><td><tr><td valign="top"><em>UDS_URL</em>&nbsp;=&nbsp;15|UDS_STRING</td><td><tr><td valign="top"><em>UDS_MIME_TYPE</em>&nbsp;=&nbsp;16|UDS_STRING</td><td><tr><td valign="top"><em>UDS_GUESSED_MIME_TYPE</em>&nbsp;=&nbsp;17|UDS_STRING</td><td><tr><td valign="top"><em>UDS_XML_PROPERTIES</em>&nbsp;=&nbsp;18|UDS_STRING</td><td><tr><td valign="top"><em>UDS_EXTENDED_ACL</em>&nbsp;=&nbsp;19|UDS_NUMBER</td><td><tr><td valign="top"><em>UDS_ACL_STRING</em>&nbsp;=&nbsp;20|UDS_STRING</td><td><tr><td valign="top"><em>UDS_DEFAULT_ACL_STRING</em>&nbsp;=&nbsp;21|UDS_STRING</td><td><tr><td valign="top"><em>UDS_DISPLAY_NAME</em>&nbsp;=&nbsp;22|UDS_STRING</td><td><tr><td valign="top"><em>UDS_TARGET_URL</em>&nbsp;=&nbsp;23|UDS_STRING</td><td><tr><td valign="top"><em>UDS_EXTRA</em>&nbsp;=&nbsp;100|UDS_STRING</td><td><tr><td valign="top"><em>UDS_EXTRA_END</em>&nbsp;=&nbsp;140|UDS_STRING</td><td></table>
</dl>
</div></div><p>
</div>
</div>
</div>

<div id="left">

<div class="menu_box">
<div class="nav_list">
<ul>
<li><a href="../allclasses.html">Full Index</a></li>
</ul>
</div>

<a name="cp-menu" /><div class="menutitle"><div>
  <h2 id="cp-menu-project">Modules</h2>
</div></div>
<div class="nav_list">
<ul>
<li><a href="../akonadi/index.html">akonadi</a></li>
<li><a href="../dnssd/index.html">dnssd</a></li>
<li><a href="../kdecore/index.html">kdecore</a></li>
<li><a href="../kdeui/index.html">kdeui</a></li>
<li><a href="../khtml/index.html">khtml</a></li>
<li><a href="../kio/index.html">kio</a></li>
<li><a href="../knewstuff/index.html">knewstuff</a></li>
<li><a href="../kparts/index.html">kparts</a></li>
<li><a href="../kutils/index.html">kutils</a></li>
<li><a href="../nepomuk/index.html">nepomuk</a></li>
<li><a href="../phonon/index.html">phonon</a></li><li><a href="../plasma/index.html">plasma</a></li>
<li><a href="../solid/index.html">solid</a></li>
<li><a href="../soprano/index.html">soprano</a></li>
</ul></div></div>

</div>

</div>
  <div class="clearer"/>
</div>

<div id="end_body"></div>
</div>
<div id="footer"><div id="footer_text">
This documentation is maintained by <a href="&#109;&#97;&#105;&#108;&#116;&#111;&#58;simon&#64;simonzone&#46;com">Simon Edwards</a>.<br />
        KDE<sup>&#174;</sup> and <a href="../images/kde_gear_black.png">the K Desktop Environment<sup>&#174;</sup> logo</a> are registered trademarks of <a href="http://ev.kde.org/" title="Homepage of the KDE non-profit Organization">KDE e.V.</a> |
        <a href="http://www.kde.org/contact/impressum.php">Legal</a>
    </div></div>
</body>
</html>
